Page MenuHomePhabricator

Autolinkable text is not escaped in html2wt
Closed, ResolvedPublic

Description

$ echo 'http://cscott.net' | tests/parse.js --html2html --normalize
<p><a href="http://cscott.net">http://cscott.net</a></p>

We need to wrap <nowiki> around the autourl-able text to ensure that it is not linkified by the wikitext parser.

Event Timeline

cscott created this task.Dec 12 2014, 8:37 PM
cscott raised the priority of this task from to Needs Triage.
cscott updated the task description. (Show Details)
cscott added a project: Parsoid.
cscott changed Security from none to None.
cscott added a subscriber: cscott.

Change 179546 had a related patch set uploaded (by Cscott):
Add test case for Parsoid html2wt bug with autourl text.

https://gerrit.wikimedia.org/r/179546

Patch-For-Review

Change 179546 merged by jenkins-bot:
Add test case for Parsoid html2wt bug with autourl text.

https://gerrit.wikimedia.org/r/179546

Arlolra triaged this task as Medium priority.Dec 15 2014, 11:45 PM
Arlolra added a subscriber: Arlolra.
ssastry assigned this task to cscott.Dec 17 2014, 10:32 PM
ssastry moved this task from Needs Triage to html2wt on the Parsoid board.Dec 20 2014, 5:01 PM
marcoil moved this task from html2wt to Needs Triage on the Parsoid board.Feb 13 2015, 12:46 PM
cscott closed this task as Resolved.Jul 10 2015, 2:44 AM

Fixed in T103364.

cscott reopened this task as Open.Aug 17 2015, 3:31 PM

Patch in T103364 was incomplete, reopening. (See T108563.)

Change 232068 had a related patch set uploaded (by Cscott):
Follow-up: fix WTS of autolink-like text after [^W]

https://gerrit.wikimedia.org/r/232068

Change 231739 had a related patch set uploaded (by Cscott):
Follow-up: fix WTS of autolink-like text after [^W]

https://gerrit.wikimedia.org/r/231739

Change 232068 abandoned by Cscott:
Follow-up: fix WTS of autolink-like text after [^W]

Reason:
Abandoned in favor of Id2c60269e39277630da04f796f0a7633994a437f

https://gerrit.wikimedia.org/r/232068

Change 231739 merged by jenkins-bot:
Follow-up: fix WTS of autolink-like text after [^W]

https://gerrit.wikimedia.org/r/231739

cscott closed this task as Resolved.Aug 18 2015, 11:20 PM